# 1. Сформуйте стрінг, в якому міститься інформація про певне слово.
# "Word [тут слово] has [тут довжина слова, отримайте з самого сдлва] letters", наприклад
# "Word 'Python' has 6 letters". Для отримання слова для аналізу скористайтеся константою або функцією input().

word = input('Enter one word: ')
word_length = len(word)
result = f"Word '{word}' has {word_length} letter(s)"
print(result)



# 2. Напишіть программу "Касир в кінотеватрі", яка попросіть користувача ввести свсвій вік
# (можно використати константу або функцію input(), на екран має бути виведено лише одне повідомлення,
# також подумайте над варіантами, коли введені невірні дані).
# якщо користувачу менше 7 - вивести повідомлення"Де твої батьки?"
# якщо користувачу менше 16 - вивести повідомлення "Це фільм для дорослих!"
# якщо користувачу більше 65 - вивести повідомлення"Покажіть пенсійне посвідчення!"
# якщо вік користувача містить цифру 7 - вивести повідомлення "Вам сьогодні пощастить!"
# у будь-якому іншому випадку - вивести повідомлення "А білетів вже немає!"



user_age = input('Вкажіть свій вік, будь ласка (ціле число): ')

if user_age.isdigit():
    user_age_int = int(user_age)

    if user_age_int < 4 or user_age_int > 120:
        print("Ваш вік не пройшов валідацію")
    elif '7' in user_age:
        print('Вам сьогодні пощастить!')
    elif user_age_int < 7:
        print("Де твої батьки?")
    elif user_age_int < 16:
        print("Це фільм для дорослих!")
    elif user_age_int > 65:
        print("Покажіть пенсійне посвідчення!")
    else:
        print("А білетів вже немає!")
else:
    print('Введені недопустимі символи!')
